Bug 149937 - CAN-2005-0591 Spoofing download and security dialogs with overlapping windows
Summary: CAN-2005-0591 Spoofing download and security dialogs with overlapping windows
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: impact=low,public=20050224
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-28 21:18 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 19:02:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:176 normal SHIPPED_LIVE Critical: firefox security update 2005-03-01 05:00:00 UTC

Description Josh Bressers 2005-02-28 21:18:02 UTC
Michael Krax demonstrates that the download dialog and security dialogs can be
spoofed by partially covering them with an overlapping window. Some users may
not notice the OS window border and browser statusbar bisecting what appears to
be a single dialog, and be convinced by the spoofing text of the top-most window
to click on the "Allow" or "Open" button of the window below.

If the security dialog button is clicked signed scripts could perform any action
on the users machine.

If the download button is clicked a file could be downloaded to the default
download location. If the target file MIME type is one handled by a helper app
clicking the button could launch that helper app. If there's a known exploit in
a popular or default helper app then opening the attackers file in that app
could take advantage of that exploit. 

http://www.mozilla.org/security/announce/mfsa2005-16.html

Comment 1 Josh Bressers 2005-03-01 19:02:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-176.html



Note You need to log in before you can comment on or make changes to this bug.